Search preferences

Find all the information related to generated preferences using specific filters or a specific date range. Only data from the last 90 days (3 months) will be brought. If you want to search for older data, use the GET for "Get preference".

GET

https://api.mercadopago.com/checkout/preferences/search
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
sponsor_id
string
Unique numeric ID to identify the sponsor. It is used to identify what platform the checkout flow was initiated in.
external_reference
string
Reference you can synchronize with your payment system.
site_id
string
The site id.
marketplace
string
Marketplace ID.
Response parameters
elements
array
Elements
next_offset
number
Numeric field used to paginate the response.
total
number
total
Errors

400Error

ds_search_query

invalid query.

401Error

invalid_token

invalid_token.

invalid_caller_id

invalid caller_id

Request
curl -X GET \
    'https://api.mercadopago.com/checkout/preferences/search?limit=2'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "elements": [
    {
      "id": "202809963-a2201f8d-11cb-443f-adf6-de5a42eed67d",
      "client_id": "6295877106812064",
      "collector_id": 202809963,
      "date_created": "2018-02-02T19:18:51.150Z",
      "expiration_date_from": "2022-11-17T09:37:52.000-04:00",
      "expiration_date_to": "2022-11-17T10:37:52.000-05:00",
      "items": [
        {}
      ],
      "marketplace": "NONE",
      "site_id": "MLC",
      "sponsor_id": 0
    }
  ],
  "next_offset": 1,
  "total": 1
}